package com.cydzs.commons;

import java.sql.Connection;
import java.sql.DriverManager;
import java.util.ResourceBundle;

/**
 * @Author: Cydzs
 * @GreateTime:2021/5/28
 **/
public class JdbcUtils {
    private static String driver;
    private static String url;
    private static String username;
    private static String password;
    static {
        ResourceBundle bundle = ResourceBundle.getBundle("db");
        driver = bundle.getString("jdbc.driver");
        url = bundle.getString("jdbc.url");
        username = bundle.getString("jdbc.username");
        password = bundle.getString("jdbc.password");
        try {
            Class.forName(driver);
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        }
    }
    //获取链接方法
    public static Connection getConnection() {

        Connection conn = null;
        try {
            System.out.println("---");
            System.out.println("url = " + url);
            System.out.println("username = " + username);
            System.out.println("password = " + password);
            return DriverManager.getConnection(url,username,password);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    public static void closeConnection(Connection conn){
        try {
            conn.close();
        }catch (Exception e){
            e.printStackTrace();
        }
    }
}
